Bug 1055479 - Libvirt lose sheepdogs volumes on pool refresh or restart
Libvirt lose sheepdogs volumes on pool refresh or restart
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-20 06:16 EST by joel.simoes
Modified: 2016-01-04 08:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-17 06:33:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Possible patch (4.08 KB, patch)
2014-01-20 06:18 EST, joel.simoes
no flags Details | Diff

  None (edit)
Description joel.simoes 2014-01-20 06:16:50 EST
Description of problem:

Libvirt lose all volumes on refresh

Patch driver on attachment.


src/storage/storage_backend_sheepdog.c
Comment 1 joel.simoes 2014-01-20 06:18:03 EST
Created attachment 852715 [details]
Possible patch
Comment 2 Ján Tomko 2014-01-20 07:51:53 EST
Thank you for the patch, could you please send it to libvir-list? (See http://libvirt.org/hacking.html for instructions) It's much more likely to get noticed and reviewed there.
Comment 3 Ján Tomko 2014-04-17 06:33:18 EDT
Pushed upstream as:
commit 97410063337801048125e3945ed4713890aac762
Author:     Joel SIMOES <joel.simoes@laposte.net>
AuthorDate: 2014-02-11 11:25:33 +0000
Commit:     Daniel P. Berrange <berrange@redhat.com>
CommitDate: 2014-02-11 11:32:04 +0000

    Libvirt lose sheepdogs volumes on pool refresh or restart.
    When restarting sheepdog pool, all volumes are missing.
    This patch add automatically all volume from the added pool.
    
    Adding last Daniel P. Berrange's syntaxes correction.
    Adding vol on separeted function 'inspired' from parallels_storage :
    parallelsAddDiskVolume

git describe: v1.2.1-150-g9741006 contains: v1.2.2-rc1~142
Comment 4 joel.simoes 2016-01-04 07:52:14 EST
Ok

Note You need to log in before you can comment on or make changes to this bug.